# Uses of Class
org.apache.solr.client.solrj.impl.LBSolrClient.Req

Packages that use LBSolrClient.Req
Package
Description
org.apache.solr.client.solrj.impl
Implementations of some client API classes, and their friends.
org.apache.solr.client.solrj.request
Convenience classes for dealing with various types of Solr requests.

## Uses of LBSolrClient.Req in org.apache.solr.client.solrj.impl

Classes in org.apache.solr.client.solrj.impl with type parameters of type LBSolrClient.Req
Modifier and Type
Class
Description
`static class`
`CloudSolrClient.RouteResponse<T extends LBSolrClient.Req>`
Methods in org.apache.solr.client.solrj.impl that return types with arguments of type LBSolrClient.Req
Modifier and Type
Method
Description
`protected Map<String,? extends LBSolrClient.Req>`
CloudSolrClient.`createRoutes(UpdateRequest updateRequest, ModifiableSolrParams routableParams, DocCollection col, DocRouter router, Map<String,List<String>> urlMap, String routeField)`
`Map<String,? extends LBSolrClient.Req>`
CloudSolrClient.RouteException.`getRoutes()`
Methods in org.apache.solr.client.solrj.impl with parameters of type LBSolrClient.Req
Modifier and Type
Method
Description
`protected Exception`
LBSolrClient.`doRequest(LBSolrClient.Endpoint baseUrl, LBSolrClient.Req req, LBSolrClient.Rsp rsp, boolean isNonRetryable, boolean isZombie)`
`LBSolrClient.Rsp`
LBSolrClient.`request(LBSolrClient.Req req)`
Tries to query a live server from the list provided in Req.
`CompletableFuture<LBSolrClient.Rsp>`
LBAsyncSolrClient.`requestAsync(LBSolrClient.Req req)`
Execute an asynchronous request against one or more hosts for a given collection.
Method parameters in org.apache.solr.client.solrj.impl with type arguments of type LBSolrClient.Req
Modifier and Type
Method
Description
`protected CloudSolrClient.RouteException`
CloudSolrClient.`getRouteException(SolrException.ErrorCode serverError, NamedList<Throwable> exceptions, Map<String,? extends LBSolrClient.Req> routes)`
Constructors in org.apache.solr.client.solrj.impl with parameters of type LBSolrClient.Req
Modifier
Constructor
Description
``
`EndpointIterator(LBSolrClient.Req req, Map<String,LBSolrClient.EndpointWrapper> zombieServers)`
Constructor parameters in org.apache.solr.client.solrj.impl with type arguments of type LBSolrClient.Req
Modifier
Constructor
Description
``
`RouteException(SolrException.ErrorCode errorCode, NamedList<Throwable> throwables, Map<String,? extends LBSolrClient.Req> routes)`

## Uses of LBSolrClient.Req in org.apache.solr.client.solrj.request

Methods in org.apache.solr.client.solrj.request that return types with arguments of type LBSolrClient.Req
Modifier and Type
Method
Description
`Map<String,LBSolrClient.Req>`
UpdateRequest.`getRoutesToCollection(DocRouter router, DocCollection col, Map<String,List<String>> urlMap, ModifiableSolrParams params, String idField)`